<div id="{{ section.id }}" class="row collection-buckets">
{% if section.blocks.size > 0 %}
  {% assign item_class = 'col-sm-3' %}
  {% for block in section.blocks %}
  <div class="bucket {{ item_class }}" {{ block.shopify_attributes }}>
    <a href="{{ block.settings.url }}">
      <img src="{{ block.settings.image | img_url: 'master' }}" alt="{{ block.settings.title }}" />
      {% if block.settings.title != blank %}
      <span class="title">{{ block.settings.title }}</span>
      {% endif %}
    </a>
  </div><!-- .bucket -->
  {% endfor %}
{% else %}
  {% include 'collection-nosubcategories-text' %}
{% endif %}
</div><!-- .row.collection-buckets -->

{% schema %}
  {
    "name": "Buckets (Sub-Categories)",
    "settings": [],
    "blocks": [
      {
        "type": "item",
        "name": "Item",
        "settings": [
          {
            "type": "image_picker",
            "id": "image",
            "label": "Image"
          },
          {
            "type": "text",
            "id": "title",
            "label": "Title"
          },
          {
            "type": "url",
            "id": "url",
            "label": "URL"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
